Summary:        Libgudev is a library providing GObject bindings for libudev.
Name:           libgudev
Version:        238
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgudev
Source0:        https://download.gnome.org/sources/libgudev/%{version}/libgudev-%{version}.tar.xz
BuildRequires:  libudev-devel glib2-devel
BuildRequires:  gobject-introspection-devel 
BuildRequires:  pkgconfig meson
# For tests
BuildRequires:  umockdev-devel
BuildRequires:  glibc-langpack-fr
Provides:       libgudev1 = %{version}-%{release}
Obsoletes:      libgudev1 < 230

%description
Libgudev is a library providing GObject bindings for libudev. It used to 
be part of udev, then merged into systemd. It's now a projecton its own.
This library makes it much simpler to use libudev from programs
already using GObject. It also makes it possible to easily use libudev
from other programming languages, such as Javascript, because of
GObject introspection support.

%package devel
Summary:   Header files for libgudev
Requires:  libgudev = %{version}-%{release}

Provides:       libgudev1-devel = %{version}-%{release}
Obsoletes:      libgudev1-devel < 230

%description devel
This package is necessary to build programs using libgudev.

%prep
%autosetup -p1

%build
%meson -Dtests=enabled -Dvapi=disabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc NEWS
%{_libdir}/libgudev-1.0.so.*
%{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files devel
%{_libdir}/libgudev-1.0.so
%{_libdir}/pkgconfig/gudev-1.0*
%dir %{_includedir}/gudev-1.0
%dir %{_includedir}/gudev-1.0/gudev
%{_includedir}/gudev-1.0/gudev/*.h
%{_datadir}/gir-1.0/GUdev-1.0.gir

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 238-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 238-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 238-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 28 2023 Shuo Wang <abushwang@tencent.com> - 238-1
- update to 238

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 237-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 237-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 07 2022 Wang Zhe <bessiewang@tencent.com> - 237-1
- initial build
